List groups
curl --request GET \
--url https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/media-bridge/2026-09/{appId}/properties/{objectType}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"archived": true,
"label": "<string>",
"name": "<string>",
"displayOrder": 123
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Properties
List groups
Retrieve a list of property groups for a specified object type within a given app. This endpoint is useful for obtaining organizational information about properties associated with different object types in your application.
GET
/
media-bridge
/
2026-09
/
{appId}
/
properties
/
{objectType}
/
groups
List groups
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
An array of PropertyGroup objects. Each PropertyGroup contains details such as name, label, display order, and archived status.
Show child attributes
Show child attributes
Last modified on September 9, 2026
Was this page helpful?